### Hierarchy

- Credentials

## Index

### Constructors

- constructor

### Properties

- encryptionKey
- identifier
- pairingId
- publicKey
- readKey
- uniqueIdentifier
- writeKey

### Methods

- decrypt
- encrypt
- toString
- parse

## Constructors

### constructor

- new Credentials(uniqueIdentifier: string, identifier: Buffer, pairingId: string, publicKey: Buffer, encryptionKey: Buffer): Credentials

- - Defined in src/lib/credentials.ts:9

  #### Parameters

  - ##### uniqueIdentifier: string

  - ##### identifier: Buffer

  - ##### pairingId: string

  - ##### publicKey: Buffer

  - ##### encryptionKey: Buffer

  #### Returns Credentials

## Properties

### encryptionKey

encryptionKey: Buffer

- Defined in src/lib/credentials.ts:11

### identifier

identifier: Buffer

- Defined in src/lib/credentials.ts:11

### pairingId

pairingId: string

- Defined in src/lib/credentials.ts:11

### publicKey

publicKey: Buffer

- Defined in src/lib/credentials.ts:11

### readKey

readKey: Buffer

- Defined in src/lib/credentials.ts:5

### uniqueIdentifier

uniqueIdentifier: string

- Defined in src/lib/credentials.ts:11

### writeKey

writeKey: Buffer

- Defined in src/lib/credentials.ts:6

## Methods

### decrypt

- decrypt(message: Buffer): Buffer

- - Defined in src/lib/credentials.ts:53

  #### Parameters

  - ##### message: Buffer

  #### Returns Buffer

### encrypt

- encrypt(message: Buffer): Buffer

- - Defined in src/lib/credentials.ts:47

  #### Parameters

  - ##### message: Buffer

  #### Returns Buffer

### toString

- toString(): string

- - Defined in src/lib/credentials.ts:35

  Returns a string representation of a Credentials object.

  #### Returns string

  A string representation of a Credentials object.

### Static parse

- parse(text: string): Credentials

- - Defined in src/lib/credentials.ts:20

  Parse a credentials string into a Credentials object.

  #### Parameters

  - ##### text: string

    The credentials string.

  #### Returns Credentials

  A credentials object.

Generated using TypeDoc